--
-- Table structure for table `#__vmcustomadvanced_sets`
--

CREATE TABLE IF NOT EXISTS `#__vmcustomadvanced_sets` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `type` tinyint(1) NOT NULL DEFAULT '0',
  `option_type` tinyint(1) NOT NULL DEFAULT '0',
  `is_button` tinyint(1) NOT NULL DEFAULT '0',
  `help_title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `help_description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `filter_support` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `translatable_filter_options` tinyint(1) NOT NULL DEFAULT '0',
  `virtuemart_custom_id` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__vmcustomadvanced_options`
--

CREATE TABLE IF NOT EXISTS `#__vmcustomadvanced_options` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `set_id` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `color` varchar(7) COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(510) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_set_id` (`set_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__vmcustomadvanced_order_items`
--

CREATE TABLE IF NOT EXISTS `#__vmcustomadvanced_order_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `virtuemart_order_item_id` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `virtuemart_customfield_id` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `order_status` varchar(3) NOT NULL,
  `product_quantity` int(11) NOT NULL DEFAULT '0',
  `stock_effect` int(11) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_virtuemart_order_item_id` (`virtuemart_order_item_id`),
  KEY `idx_virtuemart_customfield_id` (`virtuemart_customfield_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------