<?php

/**
 * @package    VP Advanced Custom Field for VirtueMart
 *
 * @author     Abhishek Das <info@virtueplanet.com>
 * @copyright  Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

use Joomla\CMS\Versioning\VersionableTableInterface;

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

/**
 * History table interface.
 *
 * @since  2.0
 */
if (version_compare(JVERSION, '4.0.0', 'ge')) {
    // phpcs:disable
    interface VmcustomadvancedTableHistoryInterface extends VersionableTableInterface {}
// phpcs:enable
} else {
    // phpcs:disable
    interface VmcustomadvancedTableHistoryInterface {}
    // phpcs:enable
}
