<?php

/**
 * @package    VP Advanced Custom Field for VirtueMart
 *
 * @author     Abhishek Das <info@virtueplanet.com>
 * @copyright  Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;

if (!trait_exists('VmcustomadvancedControllerHistoryTrait')) {
    require __DIR__ . '/historytrait.php';
}
// phpcs:enable PSR1.Files.SideEffects

/**
 * Set controller class.
 */
class VMCustomAdvancedControllerSet extends JControllerForm
{
    use VmcustomadvancedControllerHistoryTrait;

    /**
     * Constructor
     *
     * @throws Exception
     */
    public function __construct()
    {
        $this->view_list = 'sets';

        parent::__construct();
    }
}
