/**
 * @package    VP Advanced Custom Field for VirtueMart
 * 
 * @author     Abhishek Das <info@virtueplanet.com>
 * @copyright  Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.virtueplanet.com
 */

(function ($, document, window) {
    $(function () {
        $(document).on('ajaxStop', function () {
            if (typeof Virtuemart !== typeof undefined && typeof Virtuemart.updateChosenDropdownLayout !== typeof undefined) {
                Virtuemart.updateChosenDropdownLayout();
            }
        });
    });
})(jQuery, document, window);