<?php

/**
 * @package    VP Advanced Custom Field for VirtueMart
 *
 * @author     Abhishek Das <info@virtueplanet.com>
 * @copyright  Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

include_once __DIR__ . '/define.php';

JLoader::registerPrefix('VMCustomAdvanced', JPATH_COMPONENT);

JLoader::register('VMCustomAdvancedHelper', JPATH_ADMINISTRATOR . '/components/com_vmcustomadvanced/helpers/vmcustomadvanced.php');

// Register VirtueMart
VMCustomAdvancedHelper::registerVirtueMart();

// Execute the task.
$controller = JControllerLegacy::getInstance('VMCustomAdvanced');

$controller->execute(JFactory::getApplication()->input->get('task'));
$controller->redirect();
